#!/bin/sh

rel=v20090801-LastBeforePhotran50
rm -rf photran-$rel
cvs -d :pserver:anonymous@dev.eclipse.org:/cvsroot/tools -z3 export -r $rel -d photran-$rel org.eclipse.ptp/photran
#Pull out the pre-build jars
find photran-$rel -name \*.jar -exec mv '{}' `pwd` \;
tar czf photran-$rel.tar.gz photran-$rel
#Repack the jar files removing the compiled class files
for jar in *.jar
do
   name=${jar/.jar/}
   rm -rf $name
   mkdir $name
   pushd $name
   unzip -o ../$jar
   find -name \*.class -exec rm '{}' +
   popd
   rm $jar
   zip -r $jar $name
done
